package cn.yw.nhyw.nhywjtledydpgl.service;

 import cn.yw.nhyw.nhywjtledydpgl.dao.NhywjtledydpglDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("nhywjtledydpglService")
public class NhywjtledydpglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywjtledydpglService.class);
	
	@Autowired
	private NhywjtledydpglDao nhywjtledydpglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywjtledydpgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywjtledydpglDao.insert_Nhywjtledydpgl(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtledydpgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtledydpglDao.update_Nhywjtledydpgl(map);
	}
	
	/**
	 * 修改经纬度
	 */
	public Integer updateJtydpJdWdByXh(Map map) throws SQLException{
		CommUtils.addParams(map, true);
		return nhywjtledydpglDao.updateJtydpJdWdByXh(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtledydpgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywjtledydpglDao.delete_Nhywjtledydpgl(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywjtledydpgl(Map map) throws SQLException{
		return nhywjtledydpglDao.batch_delete_Nhywjtledydpgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Nhywjtledydpgl(Map map) throws SQLException{
		return nhywjtledydpglDao.count_Nhywjtledydpgl(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywjtledydpgl(Map map) throws SQLException{
		return nhywjtledydpglDao.query_Nhywjtledydpgl(map);
	}

	/**
	 * 查询全部列表记录
	 */
	public List<Map> query_AllNhywjtledydpgl(Map map) throws SQLException{
		return nhywjtledydpglDao.query_AllNhywjtledydpgl(map);
	}
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywjtledydpgl(Map map) throws SQLException{
		return nhywjtledydpglDao.get_Nhywjtledydpgl(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywjtledydpgl(Map map) throws SQLException{
		return this.listNhywjtledydpglByPage(map);
	}
	*/
	
	/**
	 * Nhywjtledydpgl 分页
	 */
	public Map listNhywjtledydpglByPage(Map map) throws SQLException {
		List<Map> list = nhywjtledydpglDao.query_Nhywjtledydpgl(map);
		Integer totalCount = nhywjtledydpglDao.count_Nhywjtledydpgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
